@ECHO OFF
cd BIOS
echo Checking ROM file .....
CKMODE DH110000.103 DH110 4041
if errorlevel 1 goto end

:flash
AFUDOSA5.exe DH110000.103 /P /B /N
if errorlevel 1 goto end

FPT.exe -f DH110000.103 -me
if errorlevel 1 goto end

call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit